import { css } from "styled-components";
import { tokens } from "../../Chip.tokens";
import { addFocus } from "../../../../mixins";
export var base = css([
    "--plasma_private-chip-outline-size:var(",
    ",0.125rem);:focus{outline:none;}",
    ""
], tokens.outlineSize, addFocus({
    outlineOffset: 'calc(-1 * var(--plasma_private-chip-outline-size))',
    outlineSize: 'var(--plasma_private-chip-outline-size)',
    outlineRadius: "calc(var(".concat(tokens.borderRadius, ") + var(--plasma_private-chip-outline-size))"),
    outlineColor: "var(".concat(tokens.focusColor, ")")
}));
